%Created by Miguel Angel Rubio - marubio@ugr.es
%date: June 2014
%This example code is in the public domain.   

function escribe (ard,num)
%Saca por led el nmero que introduzcamos en binario
%Mximo nmero 31
%Se utilizan los pines del 13 al 9
%13 menos significativo
%9 ms significativo
%Para poder hacer el juego de adivinar el mtodo es necesario
%que los leds tengan distintos colores.
%Argumento de entrada
%ard: Arduino conectado
%num: el nmero que vamos a pasar a binario

%Aadimos las libreras necesarias
run('../../utilArduino/instala_librerias.m');

%Los leds con los que voy a trabajar
rangoLed = 9:1:13;

for cont = rangoLed
    val = rem(num,2); %Calculo el resto de dividir por dos
    num = fix(num/2); %Calculo el cociente y lo asigno a num
    
    %Si la cifra en binario vale 1
    if val == 1
        enciende_led(ard,cont); %enciendo el led
    %Si no
    else 
        apaga_led(ard,cont); %apago el led
    end
end
end
