%Created by Miguel Angel Rubio - marubio@ugr.es
%date: June 2014
%This example code is in the public domain.   

function volt_norm = lee_luminosidad(ard)
%Funcin luminosidad. Ve la luminosidad de la habitacin
%El sensor es el LDR-VT90N2 
%Ver los pdf adjuntos
%Argumento de entrada
%ard: Arduino conectado
%Argumento de salida
%El valor de luminosidad normalizado de 0 a 1

%Aadimos las libreras necesarias
run('../../utilArduino/instala_librerias.m');


analogPIN = 5;

    voltaje = lee_voltaje(ard,analogPIN); %Medida directa
    volt_norm = voltaje/1024; %Voltaje normalizado
end