%Created by Miguel Angel Rubio - marubio@ugr.es
%date: June 2014
%This example code is in the public domain.   


%Script encendido_eficiente.m
%Enciende los leds si es de noche
%Si hay algo de luz solo enciende la mitad
%Si hay luz los apaga
%--------------------------------------
%El arduino debe estar asociado a exterior

%Repito durante unos segundos
for cont=1:60
    %Veo qu luminosidad hay
    luz = lee_luminosidad(exterior);

    if (luz < 0.5)
        enciende_leds(exterior); %Enciendo la farola
    elseif (luz < 0.9)
        enciende_mitad_leds(exterior); %Enciendo solo la mitad
    else
        apaga_leds(exterior); %Apago la farola
    end


end
