%Created by Miguel Angel Rubio - marubio@ugr.es
%date: June 2014
%This example code is in the public domain.   

%Script faro.m
%Gira un servomotor varias veces.
%--------------------------------------
%El arduino debe estar asociado a exterior

%Aadimos las libreras necesarias
run('../../utilArduino/instala_librerias.m');

%Cual es el nombre del Servo Motor
pinServo = 7;
%Cual es el nombre de los leds
pinRojo = 12;
pinNaranja = 13;

%enciendo los leds
enciende_led(exterior,pinRojo);
enciende_led(exterior,pinNaranja);

%Repito los giros tres veces
for cont = 1:3
    %Giro en un sentido
    for angulo=0:5:180
        mover_servo(exterior,pinServo,angulo);
        pause(.1)
    end
    
    %Giro en el otro sentido
    for angulo=180:-5:0
        mover_servo(exterior,pinServo,angulo);
        pause(.1)
    end
end

%apago los leds
apaga_led(exterior,pinRojo);
apaga_led(exterior,pinNaranja);
