%Created by Miguel Angel Rubio - marubio@ugr.es
%date: June 2014
%This example code is in the public domain.   

%Script faro.m
%Gira un servomotor varias veces.
%Si hay luz los apaga
%--------------------------------------
%El arduino debe estar asociado a exterior

%Aadimos las libreras necesarias
run('../../utilArduino/instala_librerias.m');

%Cual es el nombre del Servo Motor
pinServo = 7;
%Cual es el nombre de los leds
pinRojo = 12;
pinNaranja = 13;


%Repito los giros tres veces
for cont = 1:3

    %Cambio el destello
    enciende_led(exterior,pinRojo);
    apaga_led(exterior,pinNaranja);

    %Giro en un sentido
    for angulo=0:5:180
        mover_servo(exterior,pinServo,angulo);

        if (angulo > 90)
            %Cambiar destello...
            apaga_led(exterior,pinRojo);
            enciende_led(exterior,pinNaranja);
        end
        pause(.1);

    end

    %Cambio el destello
    enciende_led(exterior,pinRojo);
    apaga_led(exterior,pinNaranja);

    %Giro en el otro sentido
    for angulo=180:-5:0
        mover_servo(exterior,pinServo,angulo);

        if (angulo < 90)
            %Cambiar destello...
            apaga_led(exterior,pinRojo);
            enciende_led(exterior,pinNaranja);
        end
        pause(.1);

    end
end